Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Старые песни о главном или че не так с AMD драйверами для линукс)  (Прочитано 1372 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Sano

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Господа! Давненько я не ставил линукс-дистрибутивы, но все-таки ввиду крайне неадекватного поведения мелкомягкой поделки с моим железом уже пару месяцев сижу на гнобунте. И вроде печалей нет, кроме одной - проприетарный драйвер работать не желает, и отправляет иксы в бутлуп. И забил бы я на это, ибо стоковый фурычит, но с тяжелым скрипом и периодическими артефактами. Второй монитор после колдунств все-таки завелся и даже в нужном разрешении. Но толика неполноценности все же возвращает меня к мысли, что может быть и лучше?
Как я понял на фронте АМД сейчас не очень с драйверами, может кто советами подскажет.
Gnome Ubunta 16.04.1
Sapphire Radeon r9 270

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 1704
  • Kubuntu 12.04, 16.04, 18.04, 19.04
    • Просмотр профиля
Я странен, а не странен кто ж? (С)

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Ну дистрибутив ubuntu 16.04 можно любой выбирать, а драйвер для AMD попробуйте поставить Updated and Optimized Open Graphics Drivers

Пользователь добавил сообщение 08 Ноябрь 2016, 23:53:03:
AlexBKost, AMD R9 270 это CGN 1.0, а значит AMD GPU Pro поддерживаться новыми драйверами не будет, только начиная с AMD R9 285
« Последнее редактирование: 08 Ноябрь 2016, 23:53:03 от Tamer4 »

Оффлайн Sano

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Sano, у вас еще остается "призрачная" возможность Установки проприетарного драйвера AMD Crimson Edition 15.12 в Ubuntu 16.04.1.
Оно конечно возможно заработает, но что-то не внушает доверия)
Ну дистрибутив ubuntu 16.04 можно любой выбирать, а драйвер для AMD попробуйте поставить Updated and Optimized Open Graphics Drivers
Вроде встало, и вроде даже получше работает, спасибо.

Неужели нынче все так плохо с пингвинами и радеонами?

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 1704
  • Kubuntu 12.04, 16.04, 18.04, 19.04
    • Просмотр профиля
Tamer4, AMD Crimson Edition - это как раз для старых видеокарт, т.е. для AMD R9 270 подойдет, упомянутый вами AMD GPU Pro - для новых, это вы правильно заметил.
Я странен, а не странен кто ж? (С)

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Sano, Дайте вывод в терминале
glxinfo | grep versionВозможно еще поможет обновить ядро, так как новые драйверы лучше работают с ядрами, новее 4.4.0.

Оффлайн Sano

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Sano, Дайте вывод в терминале

server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
    Max core profile version: 4.2
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.0
OpenGL core profile version string: 4.2 (Core Profile) Mesa 13.1.0-devel
OpenGL core profile shading language version string: 4.20
OpenGL version string: 3.0 Mesa 13.1.0-devel
OpenGL shading language version string: 1.30
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 13.1.0-devel
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00


Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Sano, Возможно версия OpenGL с ядром, например 4.8 будет выше. У меня ядро 4.8.6 и версия OpenGL 4.5 на R9 280.
Ядро можно скачать здесь
Например для ядра 4.8.6 (64 бит) нужно скачать эти три файла:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8.6/linux-image-4.8.6-040806-generic_4.8.6-040806.201610310831_amd64.deb
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8.6/linux-headers-4.8.6-040806_4.8.6-040806.201610310831_all.deb
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8.6/linux-headers-4.8.6-040806-generic_4.8.6-040806.201610310831_amd64.deb
Установить их можно, открыв терминал в папке с этими пакетами и ввести:
sudo apt install ./*.deb

Оффлайн Sano

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Sano, Возможно версия OpenGL с ядром, например 4.8 будет выше. У меня ядро 4.8.6 и версия OpenGL 4.5 на R9 280.
Ядро можно скачать здесь
Например для ядра 4.8.6 (64 бит) нужно скачать эти три файла:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8.6/linux-image-4.8.6-040806-generic_4.8.6-040806.201610310831_amd64.deb
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8.6/linux-headers-4.8.6-040806_4.8.6-040806.201610310831_all.deb
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8.6/linux-headers-4.8.6-040806-generic_4.8.6-040806.201610310831_amd64.deb

Не уверен, но по-моему все стало немного хуже...или я ошибаюсь?) :

(Нажмите, чтобы показать/скрыть)

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Sano, Да хуже, версия OpenGL упала до 3.3.
Теперь, чтобы вернуть ядро, нужно в меню grub (если grub при загрузке ОС не появляется - нажимать правый shift при загрузке) выбрать "Дополнительные параметы" и в нем выбрать пункт меню с ядром 4.4.0. Потом установленные пакеты с ядром 4.8.6 можно удалить (например через synaptic).
« Последнее редактирование: 09 Ноябрь 2016, 01:14:30 от Tamer4 »

Оффлайн Sano

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Tamer4, такс, готово, теперь вроде все как было

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Sano, Наверное карта просто не поддерживает OpenGL выше 4.2, по крайнней мере на данный момент. Моя R9 280 на Ubuntu 14.04 с проприетарным драйвером поддерживала только OpenGL 4.4 (сейчас на открытом 4.5). И тест производиельности Unigine Heaven сейчас, кстати, прошла на равне с проприетарным год назад на Ubuntu 14.04.
   Так что ваша R9 270 на свободном оптимизированном драйвере если и работает сейчас хуже, чем на проприетарном, то очень не намного.

Оффлайн Sano

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Tamer4, ндеее...а ведь когда-то радеон драйвера было проще установить, чем энвидиа, жаль, жаль, жаль. Но спасибо за попытку, буду либо страдать, либо покупать энвидиа )

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Sano, Так а чем сейчас сложнее? добавить один репозиторий? Наврядли. А по производительности сейчас появились притензии по сравнению с проприетарным?

Оффлайн Sano

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Tamer4, проприетарный впринципе отправляет иксы в бутлуп. А на свободном все более-менее, мелкие лаги интерфейса, когда дело анимации или чего-то подобного касается, но не фатально

 

Страница сгенерирована за 0.061 секунд. Запросов: 24.